<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DoctorFee extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function getDoctor()
    {
          return $this->belongsTo(Doctor::class,'doctor_id')->with('getAccount');
    }
    public function getshift()
    {
          return $this->belongsTo(AppointmentShift::class,'shift_id');
    }
}
